import { default as React } from 'react';
import { UseFormReturn, FieldValues, DefaultValues } from 'react-hook-form';
import { z } from 'zod';
interface FormWrapperProps<TFieldValues extends FieldValues> {
    schema: z.ZodType<TFieldValues>;
    defaultValues: DefaultValues<TFieldValues>;
    onSubmit: (values: TFieldValues) => void;
    children: (form: UseFormReturn<TFieldValues>) => React.ReactNode;
}
export declare function FormWrapper<TFieldValues extends FieldValues>({ schema, defaultValues, onSubmit, children, }: FormWrapperProps<TFieldValues>): import("react/jsx-runtime").JSX.Element;
interface FormFieldWrapperProps<TFieldValues extends FieldValues> {
    form: UseFormReturn<TFieldValues>;
    name: keyof TFieldValues;
    label: string;
    description?: string;
    children: React.ReactNode;
}
export declare function FormFieldWrapper<TFieldValues extends FieldValues>({ form, name, label, description, children, }: FormFieldWrapperProps<TFieldValues>): import("react/jsx-runtime").JSX.Element;
export {};
